Bug 69572 - /usr/bin/ld: BFD 2.11.93.0.2 20020207 internal error
/usr/bin/ld: BFD 2.11.93.0.2 20020207 internal error
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: binutils (Show other bugs)
7.3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-23 07:31 EDT by Dennis Burke
Modified: 2007-04-18 12:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-02 16:32:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dennis Burke 2002-07-23 07:31:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.72 [en] (X11; I; SunOS 5.8 sun4u)

Description of problem:
Trying to port an executable with several hunder modules from Solaris to Linux.
The make file contains several sublinks. All sublinks make, but when trying to
combine them with /usr/bin/ld I get the following error:
/usr/bin/ld: BFD 2.11.93.0.2 20020207 internal error, aborting at elf32-i386.c
line 1887 in elf_i386_relocate_section

It then says:
/usr/bin/ld: Please report this bug.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. make
2.
3.
	

Actual Results:  The actual error message is embedded within the description
field.

Expected Results:  A valid executable should have been generated for linux on a
PC.	

Additional info:

I tried converting the make file to not use sublinks, but I still end up with a
line in
the make file that does gcc -o with three objects that are kept separate. The
other
500-600 modules are all in a single group instead of several sublinks.
Comment 1 Jakub Jelinek 2002-07-23 07:35:44 EDT
Without a testcase there is nothing that can be done about it.
Comment 2 Jakub Jelinek 2004-10-02 16:32:44 EDT
No response in more than 2 years, closing.

Note You need to log in before you can comment on or make changes to this bug.